//
//  FYAntiAddiction.h
//  FYAntiAddictionDemo
//
//  Created by 吴垠锋 on 2019/12/9.
//  Copyright © 2019 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <FYAntiAddiction/FYANAntiAddictionInfo.h>
#import <FYAntiAddiction/FYANRealNameInfo.h>
#import <FYAntiAddiction/FYANLimitPayInfo.h>
#import <FYAntiAddiction/FYANResponse.h>

NS_ASSUME_NONNULL_BEGIN

/// 10236
/// 2023.04.18 黄思源
/// 修改bundle名称为FYAntiAddiction
/// 使用统一星云风格的弹窗提示
/// 当同时使用了“星云国内通行证”时，弹窗按钮颜色以及文字链接颜色需跟随星云通行证主题色
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10266
/// 2023.09.28 黄思源
/// 重构移动端日志上报
///
/// 3.3.49
/// 2023.10.18 黄思源
/// 对外发布
///
/// 10289
/// 2024.01.17 黄思源
/// 增加适龄限制，增加未实名限制弹窗
///
/// 3.3.52
/// 2024.03.05 黄思源
/// 对外发布
///
/// 10292
/// 2024.03.19 黄思源
/// 修改提前判断是实名信息是否为空，导致弹出未实名提示问题
///
/// 3.3.53
/// 2024.03.20 黄思源
/// 对外发布
///
/// 10316
/// 2024.04.12 黄思源
/// 添加隐私清单
///
/// 3.3.54
/// 2024.04.24 黄思源
/// 对外发布
#define FYAntiAddictionVersion @"3.3.54"
#define FYANInnerVersion @"10316"
#define FYAntiAddictionName @"FYAntiAddiction"
#define FYANBundleName @"FYAntiAddiction"

extern NSString * const FYANAntiAddictionCallback;       // 防沉迷回调
extern NSString * const FYANTimeOutCallback;             // 防沉迷时间回调
extern NSString * const FYANLimitPayCallback;            // 充值限制回调
extern NSString * const FYANRealNameCallback;            // 接收实名认证信息回调


@interface FYAntiAddiction : NSObject

+ (instancetype)sharedInstance;

/// 初始化
- (void)doInit;

/// 验证是否已实名认证
- (void)realName:(FYANRealNameInfo *)info;

/// 是否到防沉迷时间
- (void)isTimeOut;

/// 防沉迷接口
- (void)antiAddiction:(FYANAntiAddictionInfo *)info;

/// 校验充值金额是否超额
- (void)limitPay:(FYANLimitPayInfo *)info;

#pragma mark - 游戏转接口
- (NSString *)bridgeCallFunc:(NSString *)funcName infoJson:(NSString *)infoJson;

@end

NS_ASSUME_NONNULL_END

///
///  3.3.42, 10178
///  2022.09.23 周永桂
///  修改防沉迷提示文案
///
///  3.3.39, 10124
///  2022.02.18 周永桂
///  优化日志上报
///
///  3.3.34, 10085
///  2021.12.30 周永桂
///  增加接收实名认证信息回调
///
///  3.3.30, 10028
///  2021.09.10 周永桂
///  增加防沉迷时间本地配置
///  调整日志排序
///  开发者中心&运营系统合并改版,更新Debuger 调用
///  修复 timer_active 上报信息遗漏
///  realName、antiAddiction 增加 scene 参数
///  重构 SDK 代码
///  修改提示语：健康系统为健康提示
///
///  3.3.23, 10022
///  2021.08.10 周永桂
///  去除实名信息Get接口
///
///  3.3.17, 10002
///  2021.06.29 周永桂
///  增加对内版本号
///  需求优化防沉迷弹窗可玩时间小数点末尾去0处理
///
///  3.3.12
///  2021.05.25 周永桂
///  隐私数据加密传输
///
///  3.3.8
///  2021.05.18 周永桂
///  在线上报日志由原本的1分钟一次改为5分钟一次
///
///  3.3.4
///  2021.05.10 周永桂
///  移除 FYANLimitPayInfo/FYANRealNameInfo 设置uuid 设置值时给openId赋值兼容处理，由于原本的uuid赋空时导致覆盖openId的值
///
///  3.2.2.0430
///      2021.04.08 周永桂
///      新增调试模式开启状态参数值 is_debug
///
///  3.2.0.0301.1
///      2021.03.16 黄思源
///      修复代码合并的问题，回调方法名传递给 debuger 有问题
///
///  3.2.0.0301
///      2021.02.26 周永桂
///      更新 debuger 调用
///
///  3.1.9.0201
///      2021.01.27 周永桂
///      优化初始化埋点上报
///
///  3.1.5.1224
///      2020.12.07 周永桂
///      重置版本号，与产品需求版本一一对应
///      增加技术埋点
///
///  3.3.1
///      2020.11.19 周永桂
///      游戏时长增加了低于可玩时间时才可增加游戏时长
///      去掉预报文案 版署 二字
///  3.3.0
///      2020.10.21 周永桂
///      防沉迷倒计时间隔调整为10秒一次
///  3.2.0
///      2020.09.16 周永桂
///      登录成功后立马开启计时器
///  3.1.1
///      2020.09.09 周永桂
///      增加setRealNameByInfo 身日、年龄为空时不去设置生日，直接回调
///      如果未开启防沉迷，体验时间、游戏时间返回 0
///  3.1.0
///      2020.06.22 周永桂
///      所有接口增加sdk_version
///  3.0.1
///      2020.06.15 周永桂
///      移除桥接函数antiAddiction判空bug
///  3.0.0
///      2020.06.02 周永桂
///      删除FYANURLManager、PrefixHeader、UI页面、FYANAntiAddictionInfo、FYANInitInfo
///      删除管理类
///      新版健康系统
///  2.1.0
///      2020.05.19 周永桂
///      统一URL管理
///  2.1.0
///      2020.05.06 周永桂
///      针对聚合3.0调整
///  1.2.3
///      2020.03.16 黄思源
///      实名认证弹窗时机优化：弹出前判断是否有第三方信息
///  1.2.2
///      2020.02.11 吴垠锋
///      修复实名认证重复点击问题
///  1.2.1
///      2020.01.13 吴垠锋
///      UI优化
///  1.2.0
///      2020.01.07 吴垠锋
///      文案优化
///  1.1.2
///      2019.12.30 吴垠锋
///      限制金额debuger状态修复
///  1.1.1
///      2019.12.26 吴垠锋
///      debuger增加参数
///      addRealName增加参数非空处理
///  1.1.0
///      2019.12.25 吴垠锋
///      防沉迷SDK优化:
///          初始化添加请求失败轮询
///          删除实名认证的实名开关关闭时的回调
///          实名认证计时器时间未到增加倒计时回调
///          防沉迷计时器时间未到增加倒计时回调
///          实名认证、防沉迷回调新增参数
///          删除防沉迷前10分钟的提示
///  1.0.0
///      2019.12.12
///      第一个版本
