//
//  FYAliyunLogModel.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2021/8/17.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYAliyunLogModel : NSObject
/// endpoint前需要加 https://
@property (nonatomic, copy) NSString *endpoint;
/// project
@property (nonatomic, copy) NSString *project;
/// log store
@property (nonatomic, copy) NSString *logstore;
/// id
@property (nonatomic, copy) NSString *accesskeyid;
/// secret
@property (nonatomic, copy) NSString *accesskeysecret;

/// 设置主题
@property (nonatomic, copy) NSString *topic;
/// 设置tag信息，此tag会附加在每条日志上
@property (nonatomic, copy) NSString *tagKey;
/// 设置tag信息，此tag会附加在每条日志上
@property (nonatomic, copy) NSString *tagValue;
/// 发送超时时间，如果缓存超时，则会被立即发送，单位为秒，默认为1296000秒，即15天
@property (nonatomic, assign) int packetTimeout;
/// 日志时间与本机时间之差，超过该大小后会被丢弃，单位为秒，默认为604800，即7天
@property (nonatomic, assign) int maxLogDelayTime;
/// 日志包的大小上限
@property (nonatomic, assign) int packetLogBytes;
/// 日志包中包含日志数量的最大值
@property (nonatomic, assign) int packetLogCount;
/// 日志时间与本机时间之差, 超过该大小后会被丢弃
@property (nonatomic, assign) int dropDelayLog;



/// 缓存文件夹名，默认 FYCAliyunLog
@property (nonatomic, copy) NSString *directryName;
/// 文件名前缀，默认 FYCLog
@property (nonatomic, copy) NSString *filePrefix;


@end

