//
//  FYAliyunLogService.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2021/8/17.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FYAliyunLogModel.h"

@interface FYAliyunLogService : NSObject

/// 初始化，非单例
+ (instancetype)service;

/// 注册阿里云日志
- (void)registerAliyunLog:(FYAliyunLogModel *)model;

/// 添加日志
/// @param logString 日志
/// @param keyString key
/// @param sendLog 是否立即发送日志
- (void)addLog:(NSString *)logString key:(NSString *)keyString sendLog:(BOOL)sendLog;

/// 添加日志
/// @param logDic 日志字典，key、value 都为字符串，{"key":"value"}
/// @param sendLog 是否立即发送日志
- (void)addLog:(NSDictionary *)logDic sendLog:(BOOL)sendLog;

@end
