//
//  AESCrypt.h
//  Gurpartap Singh
//
//  Created by Gurpartap Singh on 06/05/12.
//  Copyright (c) 2012 Gurpartap Singh
// 
// 	MIT License
// 
// 	Permission is hereby granted, free of charge, to any person obtaining
// 	a copy of this software and associated documentation files (the
// 	"Software"), to deal in the Software without restriction, including
// 	without limitation the rights to use, copy, modify, merge, publish,
// 	distribute, sublicense, and/or sell copies of the Software, and to
// 	permit persons to whom the Software is furnished to do so, subject to
// 	the following conditions:
// 
// 	The above copyright notice and this permission notice shall be
// 	included in all copies or substantial portions of the Software.
// 
// 	THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// 	EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// 	MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// 	NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// 	LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
// 	OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
// 	WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//

#import <Foundation/Foundation.h>

/**
 AES 对称加密及解密
 */
@interface FYCAESUtil : NSObject


/**
 加密

 @param message 加密信息
 @param password 加密密钥
 @return 加密后的信息
 */
+ (NSString *)encrypt:(NSString *)message password:(NSString *)password;

/// 加密
/// @param message 加密信息
/// @param initVector 16位偏移量
/// @param password 加密密钥
+ (NSString *)__encrypt:(NSString *)message initVector:(NSString *)initVector password:(NSString *)password;

/**
 解密

 @param base64EncodedString 需要解密的信息，base64 字符串格式
 @param password 加密密钥
 @return 解密后的信息
 */
+ (NSString *)decrypt:(NSString *)base64EncodedString password:(NSString *)password;

/// 解密
/// @param base64EncodedString 需要解密的信息，base64 字符串格式
/// @param initVector 16位偏移量
/// @param password 加密密钥
+ (NSString *)__decrypt:(NSString *)base64EncodedString initVector:(NSString *)initVector password:(NSString *)password;


@end
