//
//  FYCAlertProtocol.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2022/1/28.
//  Copyright © 2022 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

/// 弹窗按钮样式
typedef NS_ENUM(NSInteger, FYCAlertButtonType) {
    FYCAlertButtonDefault,      // 两个按钮，默认
    FYCAlertButtonOnlyCancel,   // 只有取消按钮
    FYCAlertButtonOnlyConfirm,  // 只有确认按钮
};

/// 弹窗样式
typedef NS_ENUM(NSInteger, FYCAlertStyleType) {
    FYCAlertStyleDefault,  // 默认

};


@protocol FYCAlertProtocol <NSObject>
/// 显示弹窗
- (void)showAlertObject;
/// 关闭弹窗
- (void)closeAlertObject;

@end


@protocol FYCAlertConfigProtocol <NSObject>
/// 生成弹窗 Key, 用于区分同类型弹窗
- (NSString *)alertObjectKey;

@end


@protocol FYCAlertWindowProtocol <NSObject>
@optional
/// 显示弹窗
- (void)showAlertInWindow:(id)alertObject;
/// 关闭弹窗
- (void)dismissAlertFromWindow:(id)alertObject;
/// 显示弹窗
- (void)showAlertInViewController:(id)alertObject;
/// 关闭弹窗
- (void)dismissAlertFromViewController:(id)alertObject;

@end


@protocol FYCAlertObjectRequest <NSObject>
/// 请求展示 alertObject
- (void)requestShowAlertObject:(id)alertObject;
/// 请求关闭 alertObject
- (void)requestCloseAlertObject:(id)alertObject;
/// 清除所有 AlertObject
- (void)clearAllAlertObject;

@end


