//
//  FYCAlertUnifiedObject.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/8/4.
//  Copyright © 2020 feiyu. All rights reserved.
//  统一弹窗

#import "FYCAlertObject.h"

/// 弹窗样式
typedef NS_ENUM(NSInteger, FYCAlertUnifiedType) {
    FYCAlertUnifiedCommon,  // 两个按钮，默认
    FYCAlertUnifiedConfirm, // 只有确认按钮
    FYCAlertUnifiedCancel,  // 只有取消按钮
};

@interface FYCAlertUnifiedModel : NSObject
/// 标识
@property (nonatomic, copy) NSString *alertKey;

@end

@interface FYCAlertUnifiedObject : FYCAlertObject
/// 弹窗内容
@property (nonatomic, copy) NSString *contentString;
/// 描述内容
@property (nonatomic, copy) NSString *describeString;
/// line Break Mode, 为YES方可生效
@property (nonatomic, assign) NSLineBreakMode lineBreakMode;
/// 弹窗内容对齐方式
@property (nonatomic, assign) NSTextAlignment textAlignment;
/// 描述内容对齐方式
@property (nonatomic, assign) NSTextAlignment describeAlignment;
/// line Break Mode, 为YES方可生效
@property (nonatomic, assign) NSLineBreakMode describeLineBreakMode;
/// 弹窗样式
@property (nonatomic, assign) FYCAlertUnifiedType type;
/// 是否关闭多语言
@property (nonatomic, assign) BOOL closeLocalizable;
/// 确认按钮标题
@property (nonatomic, copy) NSString *confirmTitle;
/// 取消按钮标题
@property (nonatomic, copy) NSString *cancelTitle;
/// 取消回调
@property (nonatomic, copy) void(^didSelectedCancel)(void);
/// 确认按钮回调
@property (nonatomic, copy) void(^didSelectedConfirm)(void);



@end


