//
//  FYCCheckBox1.h
//  FYClatformExample2
//
//  Created by huangsy on 2017/12/22.
//  Copyright © 2017年 stars. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FYCViewProtocol.h"

@protocol FYCCheckBoxDelegate <NSObject>


/**
 点击回调

 @param checked 是否勾选
 */
- (void)fypCheckBoxChecked:(BOOL)checked;

@end


/**
 点击回调

 @param checked 是否勾选
 */
typedef void(^FYCCheckBoxChecked)(BOOL checked);


/**
 自定义勾选框
 */
@interface FYCCheckBox : UIView <FYCViewProtocol>

/// 是否勾选，默认 NO
@property (nonatomic, assign) BOOL checked;
/// 边框颜色，默认白色
@property (nonatomic, strong) UIColor *boxColor;
/// 背景颜色，默认灰色
@property (nonatomic, strong) UIColor *borderColor;
/// 勾选时显示的图片
@property (nonatomic, strong) UIImage *checkedImage;
/// 未勾选时显示的图片
@property (nonatomic, strong) UIImage *uncheckImage;
/// 回调代理
@property (nonatomic, weak) id<FYCCheckBoxDelegate> delegate;
/// 回调 block
@property (nonatomic, copy) FYCCheckBoxChecked checkedBlock;

/**
 初始化

 @param checkedImage 勾选时显示的图片
 @return instance
 */
- (instancetype)initWithCheckedImage:(UIImage*)checkedImage;

@end
