//
//  FYCConfigFileManager.h
//  FYCerviceExample
//
//  Created by huangsy on 2017/8/24.
//  Copyright © 2017年 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface FYCConfigFileModel : NSObject
/// app id
@property (nonatomic, copy) NSString *appId;
/// 远程下载地址
@property (nonatomic, copy) NSString *remoteUrl;
/// 本地文件路径
@property (nonatomic, copy) NSString *fileName;

@end

@interface FYCConfigFileManager : NSObject

+ (instancetype)sharedInstance;
/// 初始化
- (void)doInit;
/// 设置 plist 数据，此函数请谨慎使用！！！！
- (void)setupValuesWith:(NSString *)fileName;
/// 根据 key 获取经过解密的配置信息
- (NSString*)configWithKey:(NSString*)key;
/// 根据 key 获取未经过解密的配置信息
- (NSString*)rowConfigWithKey:(NSString*)key;
/// 获取 debug 状态配置，此配置可能会通过服务端下发
- (NSString*)debugConfigWithKey:(NSString*)key;
/// 获取扩展json内的key-value
- (NSString *)getExtraParamWithItem:(NSString *)itemKey paramKey:(NSString *)paramKey;

/// 获取debug 状态
- (BOOL)getDebug;

/// 设置 debug
- (void)setupDebug:(BOOL)isDebug;


#pragma mark Config File Path
/// 更新配置文件本地路径缓存
- (void)updateConfigFilePath:(FYCConfigFileModel *)model;

/// 删除配置文件本地路径缓存
- (void)removeConfigFilePathCache;

/// 获取配置文件本地路径缓存
- (FYCConfigFileModel *)getCacheConfigFilePath;

/// 缓存配置文件夹
- (NSString *)getConfigCacheDirectryPath;

/// 缓存配置完整路径
- (NSString *)fullPathWithFile:(NSString *)fileName;

@end


