//
//  FYCDBHelper.h
//  FYClatformExample2
//
//  Created by huangsy on 17/5/4.
//  Copyright © 2017年 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 SQLite 数据库帮助类
 */
@interface FYCDBHelper : NSObject

+ (instancetype)sharedInstance;

/**
 打开一个数据库

 @param dbname 数据库名字
 @return bool，打开成功或失败
 */
- (BOOL)openDb:(NSString *)dbname;

/**
 执行一个没有返回的 SQL 语句

 @param sql SQL 语句
 @return bool，执行成功或失败
 */
- (BOOL)executeNonQuery:(NSString *)sql;

/**
 执行一个有返回的 SQL 语句

 @param sql SQL 语句
 @return 返回的结果集
 */
- (NSArray *)executeQuery:(NSString *)sql;

@end
