//
//  FYDDeviceInfo.h
//  000feiyu
//
//  Created by Sean on 16/4/14.
//  Copyright © 2016年 FeiYu. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 获取一些常用的设备信息
 */
@interface FYCDeviceInfo : NSObject

/// 获取随机设备 ID，此设备ID 由下面的 generateUUID 生成并 md5，并保存在 User Default
+ (NSString *)randomDeviceId;
/// 获取设备 ID，此设备ID 由下面的 generateUUID 生成并 md5，并保存在 User Default & KeyChain
+ (NSString*)deviceUUID;
/// 获取IDFA
+ (NSString*)idfa;
/// 获取系统的版本
+ (NSString*)osVersion;
/// 获取mac 地址
+ (NSString *)macAddress;
/// 获取设备型号
+ (NSString*)deviceMode;
/// 获取设备名称
+ (NSString*)deviceName;
/// 获取屏幕分辨率
+ (NSString*)resolution;
/// 获取 APP 的版本号
+ (NSString*)appVersion;
/// 生成设备 ID，优先取 idfa，否则取 idfv，最后取随机数
+ (NSString*)generateUUID;
/// 总内存
+ (long)totalMemory;
/// 可用内存
+ (long)availMemory;
/// APP 占用内存
+ (long)appMemory;

@end
