//
//  NBHintLayer.h
//  Sample
//
//  Created by Sean on 15/6/23.
//  Copyright (c) 2015年 gRPC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FYCViewProtocol.h"


/**
 显示完成后回调
 */
typedef void(^FYCHintComplete)(void);


/**
 自定义提示框，一段时间后消失
 */
@interface FYCHint : UIView <FYCViewProtocol>

/// 显示的内容
@property (nonatomic, copy) NSString *title;
/// 显示的时间
@property (nonatomic, assign) NSTimeInterval duration;
/// 显示完成后回调
@property (nonatomic, copy) FYCHintComplete complete;

/**
 初始化

 @param title 显示的内容
 @return instance
 */
- (instancetype)initWithTitle:(NSString*)title;

/**
 显示
 */
- (void)show;

@end
