//
//  FYCLableButton.h
//
//  Created by huangsy on 16/7/27.
//  Copyright © 2016年 stars. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FYCViewProtocol.h"

/**
 自定义文字按钮，按钮的大小会根据文字自动适配
 */
@interface FYCLableButton : UIButton <FYCViewProtocol>

/// 文字
@property (nonatomic, copy) NSString *textString;
/// 可点击时的文字颜色，默认黑色
@property (nonatomic, strong) UIColor *textEnableColor;
/// 点击时的文字颜色，默认
@property (nonatomic, strong) UIColor *textHighlightColor;
/// 不可点击时的文字颜色
@property (nonatomic, strong) UIColor *textDisableColor;
/// 文字大小
@property (nonatomic, assign) CGFloat textSize;
/// 文字是否粗体
@property (nonatomic, assign) BOOL textBold;

- (instancetype)initWithText:(NSString*)text;

- (void)keepLeftWithTextString:(NSString*)textString;
- (void)keepCenterWithTextString:(NSString*)textString;
- (void)keepRightWithTextString:(NSString*)textString;

@end
