//
//  FYLine.h
//  ThePainter
//
//  Created by Sean on 15/12/21.
//  Copyright (c) 2015年 FeiYu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FYCViewProtocol.h"

/// 细线类型
typedef NS_ENUM(NSUInteger, FYCLineStyle) {
    FYCLineStyleHorizontal, /// 横向
    FYCLineStyleVertical /// 竖向
};


/**
 自定义直线
 */
@interface FYCLine : UIView <FYCViewProtocol>

/// 细线类型，默认横向
@property (nonatomic, assign) FYCLineStyle style;
/// 细线长度
@property (nonatomic, assign) CGFloat length;

/**
 初始化

 @param length 长度
 @return instance
 */
- (instancetype)initWithLength:(CGFloat)length;

@end
