//
//  FYCLoadingView.h
//
//  Created by huangsy on 16/8/18.
//    Copyright © 2016年 stars. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FYCViewProtocol.h"

/**
 自定义 loding 框
 */
@interface FYCLoadingView : UIView <FYCViewProtocol>

/// loding 背景图片，设置完的图片会围绕中心轴转动
@property (nonatomic, strong) UIImage *loadingImage;
/// loding 框的背景颜色
@property (nonatomic, strong) UIColor *loadingColor;
/// loding 框大小
@property (nonatomic, assign) CGSize loadingSize;


/**
 初始化

 @param loadingSize loading 框的大小
 @return instance
 */
- (instancetype)initWithLoadingSize:(CGSize)loadingSize;

/**
 在屏幕上显示loading 框
 */
- (void)show;

/**
 在指定的 view 上面显示 loading 框

 @param view 指定父 view
 */
- (void)showWithView:(UIView*)view;

/**
 隐藏
 */
- (void)hide;

@end
