//
//  FYCLocalizableManager.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/10/14.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, FYCLocalizableLanguageType) {
    FYCLocalizableLanguageEn,           // 英文
    FYCLocalizableLanguageZHHans,       // 简体中文
    FYCLocalizableLanguageZHHant,       // 繁体中文
    FYCLocalizableLanguageRussian,      // 俄语
    FYCLocalizableLanguageGerman,       // 德语
    FYCLocalizableLanguageFrench,       // 法语
    FYCLocalizableLanguageItalian,      // 意大利语
    FYCLocalizableLanguageSpanish,      // 西班牙语
    FYCLocalizableLanguageTurkish,      // 土耳其语
    FYCLocalizableLanguagePortuguese,   // 葡萄牙语
    FYCLocalizableLanguagePolish,       // 波兰语
    FYCLocalizableLanguageCzech,        // 捷克语

};

@interface FYCLocalizableManager : NSObject
/// 是否开启国际化，默认NO；NO--显示简体中文；暂时支持三种语言，简体中文、繁体中文、其他则显示英文
@property (nonatomic, assign) BOOL isOpenInternationalization;

/// 获取当前语言，中文返回zh，其他返回en，主要提供上报服务器当前系统所使用的语言
@property (nonatomic, copy) NSString *currentLanguage;
/// 获取当前语言，返回枚举值
@property (nonatomic, assign) FYCLocalizableLanguageType currentLanguageType;

+ (instancetype)sharedInstance;

/// 初始化bundle，可不初始化直接调用 bundle: 函数，bundle: 内部会做初始化操作
- (void)doInitWithBundle:(NSString *)bundleName;

/// 根据bundle name 获取Bundle，如果未初始化，则实例化bundle并缓存
- (NSBundle *)bundle:(NSString *)bundleName;

/// 获取当前语言，用于上传服务端
- (NSString *)serviceLanguage;

@end
