//
//  FYCMultitext.h
//
//  Created by huangsy on 16/9/19.
//    Copyright © 2016年 stars. All rights reserved.
//

#import "FYCSingleLabel.h"
#import "FYCViewProtocol.h"


/**
 自定义多行 Label
 宽度一定，高度随着 Label 文字自适应
 */
@interface FYCMultiLabel : FYCSingleLabel <FYCViewProtocol>

/// Label 宽度
@property (nonatomic, assign) CGFloat textWidth;
/// Label 行间距
@property (nonatomic, assign) CGFloat textLineSpace;
/// Label 行倍数
@property (nonatomic, assign) CGFloat textLineHeightMultiple;
/// Label 对齐方式
@property (nonatomic, assign) NSTextAlignment textLineAlignment;

/**
 初始化

 @param text 文字内容
 @param textWidth Label 宽度
 @return instance
 */
- (instancetype)initWithText:(NSString*)text textWidth:(CGFloat)textWidth;

/**
 设置某个范围的文字颜色
 
 @param textColor 文字颜色
 @param range 范围
 */
- (void)setTextColor:(UIColor *)textColor range:(NSRange)range;

/**
 设置某个范围的字体

 @param textFont 字体
 @param range 范围
 */
- (void)setTextFont:(UIFont *)textFont range:(NSRange)range;

@end
