//
//  FYCPointReportModel.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2022/6/24.
//  Copyright © 2022 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYCPointReportModel : NSObject
#pragma mark -- SYSTEM
/// 记录标识，必传
@property (nonatomic, copy) NSString *record_id;
/// 会话标识，原来的startup_id，必传
@property (nonatomic, copy) NSString *session_id;
/// 事件类型，default，必传
@property (nonatomic, copy) NSString *event_type;
/// 上报来源，android/ios/server，必传
@property (nonatomic, copy) NSString *up_type;
/// 数据版本，必传
@property (nonatomic, copy) NSString *data_version;


#pragma mark -- WHO
/// 虚拟设备标识，必传
@property (nonatomic, copy) NSString *v_device_id;
/// 设备标识，非必传
@property (nonatomic, copy) NSString *device_id;
/// 聚合UnionID，非必传
@property (nonatomic, copy) NSString *union_id;
/// 游戏账号标识，建议可以填入open_id，非必传
@property (nonatomic, copy) NSString *account_id;
/// 聚合OpenID，非必传
@property (nonatomic, copy) NSString *open_id;
/// 游戏角色标识，非必传
@property (nonatomic, copy) NSString *role_id;
/// 游戏角色标识，非必传
@property (nonatomic, copy) NSString *player_id;

#pragma mark -- WHEN
/// 触发的时间，必传
@property (nonatomic, copy) NSString *event_time;


#pragma mark -- WHERE
/// 事件标识，必传
@property (nonatomic, copy) NSString *event_id;
/// 事件名称，必传
@property (nonatomic, copy) NSString *event_name;
/// 应用标识，必传
@property (nonatomic, copy) NSString *app_id;
/// 应用版本，必传
@property (nonatomic, copy) NSString *app_version;
/// 服务器标识，非必传
@property (nonatomic, copy) NSString *server_id;
/// 渠道标识，必传
@property (nonatomic, copy) NSString *channel_id;
/// 所在模块，必传
@property (nonatomic, copy) NSString *module;
/// 模块版本，非必传
@property (nonatomic, copy) NSString *module_version;
/// 网络地址，必传
@property (nonatomic, copy) NSString *ip;


#pragma mark -- HOW
/// 联网方式，非必传
@property (nonatomic, copy) NSString *network_mode;
/// 操作系统，非必传
@property (nonatomic, copy) NSString *os_type;
/// 操作系统版本号，非必传
@property (nonatomic, copy) NSString *os_version;
/// 设备机型，非必传
@property (nonatomic, copy) NSString *device_type;


#pragma mark -- WHAT
/// 事件专属属性，必传
@property (nonatomic, copy) NSString *properties;




- (void)updateRoleIdIfNeed;

@end

NS_ASSUME_NONNULL_END
