//
//  FYCPointReport.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2022/6/24.
//  Copyright © 2022 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
@class FYCPointReportModel;


@interface FYCPointReportConfigModel : NSObject
/// 模块
@property (nonatomic, copy) NSString *module;
/// 应用ID
@property (nonatomic, copy) NSString *appId;
/// 渠道标识
@property (nonatomic, copy) NSString *channelId;

@end



@interface FYCPointReportService : NSObject
/// 聚合UnionID
@property (nonatomic, copy, readonly) NSString *unionId;
/// 游戏账号标识，建议可以填入open_id
@property (nonatomic, copy, readonly) NSString *accountId;
/// 聚合OpenID
@property (nonatomic, copy, readonly) NSString *openId;
/// 游戏角色标识
@property (nonatomic, copy, readonly) NSString *playerId;
/// 服务器标识
@property (nonatomic, copy, readonly) NSString *serverId;
/// 游戏角色标识
@property (nonatomic, copy, readonly) NSString *roleId;
/// 游戏版本号
@property (nonatomic, copy, readonly) NSString *gameVersion;
/// 网络标识，0：无网络，1：WIFI，2：其他
@property (nonatomic, copy, readonly) NSString *networkMode;

+ (instancetype)sharedInstance;

- (void)track:(FYCPointReportModel *)model;

- (NSString *)loadAppId:(NSString *)module;

- (NSString *)loadChannelId:(NSString *)module;

- (void)updateConfig:(FYCPointReportConfigModel *)model;

- (void)updateUnionId:(NSString *)unionId;

- (void)updateAccountId:(NSString *)accountId;

- (void)updateOpenId:(NSString *)openId;

- (void)updatePlayerId:(NSString *)playerId;

- (void)updateServerId:(NSString *)serverId;

- (void)updateGameVersion:(NSString *)gameVersion;


- (void)cleanAccount;

- (void)cleanPlayer;

- (NSDictionary *)loadLastEventObject;

@end
