//
//  FYCPollingQueue.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2021/3/8.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FYCPollingQueueTask.h"

typedef void(^FYCPollingQueueResponse)(FYCPollingQueueTask *task, NSError *error, FYCPollingQueueModel *model);

@interface FYCPollingQueue : NSObject
/// 初始化
/// @param flag 队列标识
/// @param password 密钥
/// @param response 回调
- (instancetype)initWithFlag:(NSString*)flag
                    password:(NSString*)password
                    response:(FYCPollingQueueResponse)response;

/// 配置请求头
- (void)setRequestHeader:(NSDictionary *)headerDic;

/// 添加任务
- (void)addTask:(FYCPollingQueueTask *)task;

/// 更新任务
- (void)updateTask:(FYCPollingQueueTask *)task;

/// 删除任务
- (void)removeTask:(FYCPollingQueueTask *)task;

/// 删除最后执行的任务
- (void)removeLastTask;

/// 删除所有的任务
- (void)removeAllTask;

/// 执行下一个任务
- (void)next;

/// 重试当前任务
- (void)retry:(NSInteger)timeInterval;

/// 开始任务
- (void)tick;

@end

