//
//  FYCOrderQueueModel.h
//  FYCoreDemo
//
//  Created by 吴垠锋 on 2018/11/15.
//  Copyright © 2018年 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface FYCRequestQueueTask : NSObject

@property (nonatomic, copy) NSString *taskId;                               // 唯一标识符
@property (nonatomic, copy) NSString *url;                                  // 网络请求地址
@property (nonatomic, copy) NSDictionary *params;                           // 网络请求参数
@property (nonatomic, assign) NSInteger failureCount;                       // 失败次数

/**
 初始化方法,不带回调

 @param taskId 存储时,用于唯一标识
 @param url 网络请求地址
 @param params 网络请求参数
 @return 返回对象
 */
- (instancetype)initWithTaskId:(NSString *)taskId url:(NSString *)url params:(NSDictionary *)params;

/**
 模型转字典

 @param task 模型
 @return 返回字典
 */
+ (NSDictionary *)dicWithTask:(FYCRequestQueueTask *)task;

/**
 字典转模型

 @param dic 字典
 @return 返回模型
 */
+ (FYCRequestQueueTask *)taskWithDic:(NSDictionary *)dic;

@end
