//
//  FYCSimpleAlertObject.h
//  FYCoreDemo
//
//  Created by huangsy on 2023/2/28.
//  Copyright © 2023 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FYCAlertObject.h"
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYCSimpleAlertObject : FYCAlertObject

/// 按钮样式
@property (nonatomic, assign) FYCAlertButtonType type;
/// 对齐方式
@property (nonatomic, assign) NSTextAlignment textAlignment;
/// 字体
@property (nonatomic, strong) UIFont *textFont;
/// line Break Mode, 为YES方可生效
@property (nonatomic, assign) NSLineBreakMode lineBreakMode;
/// 行间距
@property (nonatomic, assign) CGFloat lineSpacing;
/// 是否关闭多语言
@property (nonatomic, assign) BOOL closeLocalizable;
/// 弹窗内容
@property (nonatomic, copy) NSString *contentString;
/// 弹窗标题
@property (nonatomic, copy) NSString *titleString;
/// 弹窗富文本内容
@property (nonatomic, copy) NSAttributedString *attributedString;
/// 确认按钮标题
@property (nonatomic, copy) NSString *confirmTitle;
/// 取消按钮标题
@property (nonatomic, copy) NSString *cancelTitle;
/// 确认时是否关闭弹出，默认 YES
@property (nonatomic, assign) BOOL closeAlertWhenConfirm;
/// 设置主题颜色
@property (nonatomic, copy) NSString *tintColorHex;
/// 取消回调
@property (nonatomic, copy) void(^didSelectedCancel)(void);
/// 确认按钮回调
@property (nonatomic, copy) void(^didSelectedConfirm)(void);
/// contentTextView的回调
@property (nonatomic, weak) id<UITextViewDelegate> contentTextViewDelegate;

@end

NS_ASSUME_NONNULL_END
