//
//  FYCLable.h
//
//  Created by huangsy on 16/9/19.
//  Copyright © 2016年 stars. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FYCViewProtocol.h"


/**
 自定义单行 Label
 Label 的大小会按照文字自适应
 */
@interface FYCSingleLabel : UILabel <FYCViewProtocol>

/// 文字内容
@property (nonatomic, copy) NSString *textString;
/// 字体大小
@property (nonatomic, assign) CGFloat textSize;
/// 是否粗体
@property (nonatomic, assign) BOOL textBlod;

/**
 初始化

 @param text 文字内容
 @return instance
 */
- (instancetype)initWithText:(NSString*)text;


/**
 改变文字，保持 Label 的位置靠左

 @param textString 文字内容
 */
- (void)keepLeftWithTextString:(NSString*)textString;

/**
 改变文字，保持 Label 的位置居中
 
 @param textString 文字内容
 */
- (void)keepCenterWithTextString:(NSString*)textString;

/**
 改变文字，保持 Label 的位置靠右
 
 @param textString 文字内容
 */
- (void)keepRightWithTextString:(NSString*)textString;

@end
