//
//  FYCTextField.h
//  FYClatformExample2
//
//  Created by huangsy on 16/7/26.
//  Copyright © 2016年 stars. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FYCViewProtocol.h"

@class FYCTextField;


/**
 右侧按钮点击回调

 @param textField FYCTextField 实例
 */
typedef void(^FYCTextFieldRightButtonClicked)(FYCTextField *textField);


/**
 自定义 Text Field
 左边带图标，右边带按钮，底部有下划线
 当显示光标时，会高亮显示
 */
@interface FYCTextField : UITextField <FYCViewProtocol>

/// 左边图标
@property (nonatomic, strong) UIImage *leftNormalImage;
/// 左边高亮图标
@property (nonatomic, strong) UIImage *leftHighlightImage;
/// 右边按钮图标
@property (nonatomic, strong) UIImage *rightButtonImage;
/// 是否显示下划线，默认 YES
@property (nonatomic, assign) BOOL showBottonLine;
/// 下划线颜色，默认灰色
@property (nonatomic, strong) UIColor *bottonLineNormalColor;
/// 下划线高亮颜色，默认红色
@property (nonatomic, strong) UIColor *bottonLineHighlightColor;
/// 右侧按钮点击回调
@property (nonatomic, copy) FYCTextFieldRightButtonClicked rightButtonClickedBlock;


/**
 初始化

 @param leftNormalImage 左边图标
 @param rightButtonImage 右边按钮图标
 @return instance
 */
- (instancetype)initWithLeftNormalImage:(UIImage*)leftNormalImage rightButtonImage:(UIImage*)rightButtonImage;

@end
