//
//  FYTimer.h
//  FYClatformExampleNative
//
//  Created by huangsy on 15/5/24.
//  Copyright (c) 2015年 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 倒计时完成时回调
 */
typedef void (^FYCTimerCompelete)(void);

/**
 每一秒回调一次

 @param currentSecond 当前时间
 */
typedef void (^FYCTimerEach)(NSInteger currentSecond);


/**
 时间计时器，用来做倒计时
 */
@interface FYCTimer : NSObject

/**
 初始化

 @param duration 计时时间（秒）
 @param compelete 完成时回调
 @return instance
 */
- (instancetype)initWithDuration:(NSInteger)duration compelete:(FYCTimerCompelete)compelete;

/**
 初始化

 @param duration 计时时间（秒）
 @param each 每一秒钟回调
 @param compelete 完成时回调
 @return instance
 */
- (instancetype)initWithDuration:(NSInteger)duration each:(FYCTimerEach)each compelete:(FYCTimerCompelete)compelete;

/**
 开始计时
 */
- (void)startCountdown;

/**
 开始计时

 @param duration 计时时间（秒）
 */
- (void)startCountdownWithDuration:(NSInteger)duration;

/**
 停止计时，会回调 FYCTimerCompelete
 */
- (void)compeleteCountdown;

/**
 停止计时，不会回调 FYCTimerCompelete
 */
- (void)stopCountdown;

@end
