//
//  FYCUrlService.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/5/18.
//  Copyright © 2020 feiyu. All rights reserved.
//  针对此类扩展的时候，注意不要重名了，应根据对应的SDK取相关命名

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger, FYCUrlEnvironmentType) {
    FYCUrlEnvironmentPro,   // 线上环境，默认线上环境
    FYCUrlEnvironmentSit,   // 测试环境
    FYCUrlEnvironmentDev,   // 开发环境
};


@interface FYCUrlService : NSObject
///
/// 游戏采集2:  FY_GAMEREPORT2_URL
/// debuger:  FY_DEBUGER_URL
/// 聚合:     FY_COMBINE_URL
/// 防沉迷:    FY_ANTIADDICTION_URL
/// 支付:     FY_PAY_URL
/// 沙盒:     FY_SANDBOX_URL
/// core:    FY_CORE_URL
/// 通行证:   FY_PLATFORM_URL
///
@property (nonatomic, copy) NSDictionary *devURLDict;

@property (nonatomic, assign) FYCUrlEnvironmentType environmentType;
/// 是否开启请求头配置
@property (nonatomic, assign) BOOL enableHeaderField;

+ (instancetype)sharedInstance;

- (NSDictionary<NSString *, NSString *> *)commonHeaderFieldForRequest;

@end
