//
//  FYCWebViewController.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/5/25.
//  Copyright © 2020 feiyu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <WebKit/WebKit.h>

@class FYDWKWebView;

@interface FYCWebViewController : UIViewController <WKUIDelegate, WKNavigationDelegate, UIScrollViewDelegate>
@property (nonatomic, strong, readonly) FYDWKWebView *webView;

/// 移除iOS 14 以上的系统输入键盘上的工具栏，并启用自定义工具栏
@property (nonatomic, assign) BOOL removeInputAccessoryView;

/// 当拖动webView时，关闭输入键盘
@property (nonatomic, assign) BOOL endEditingWhenDragging;

@property (nonatomic, copy) NSString *url;

- (instancetype)initWithUrl:(NSString *)url;

- (void)setupViews;

// 监听标题
- (void)observeWebViewTitle:(NSString *)title;

// 监听进度变化
- (void)observeWebViewProgress:(CGFloat)progress;

// 配置cookie
- (void)configRequestIfNeed:(NSMutableURLRequest *)request;

//指定ds的类名必需是ZTGJavascriptBridge子类
- (Class)javascriptBridgeClassName;

// 子类需要使用空间名时
- (NSString *)javascriptBridgeNameSpace;

@end
