//
//  FYCore.h
//  FYCoreDemo
//
//  Created by huangsy on 2019/1/17.
//  Copyright © 2019年 feiyu. All rights reserved.
//

/// 3.3.44, 10232
/// 2023.04.07 黄思源
/// 增加星云样式的alert控件
/// 优化FYURLSession对象提前释放导致的log无法打印问题
/// 优化FYNetworkService session没有复用的问题
/// 优化FYCWebViewController初始化控件的时机
/// 修改FYCProgressHUD的loading效果
/// 优化FYCSimpleAlertView文字显示高度，大于一定高度变为大尺寸弹框
/// 优化FYCSimpleAlertView文字垂直居中
///
/// 10254
/// 2023.07.11 黄思源
/// 修改Bundle名称为FYCore
/// 修改sls类文件命名
/// 优化移动端日志追踪缓存机制，使用MMKV做持久化
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10258
/// 2023.08.14 黄思源
/// 删除idfa获取代码
/// 修复iOS16 FYCSimpleAlertView 文本框高度计算问题
/// 修复loading切出应用动画停止问题
///
/// 3.3.47
/// 2023.08.16 黄思源
/// 对外发布
///
/// 10264
/// 2023.08.25 黄思源
/// 配置文件中增加环境标识，SDK从配置文件中识别环境标识，通过该标识请求到不同的环境
///
/// 3.3.48
/// 2023.09.12 黄思源
/// 对外发布
///
/// 10266
/// 2023.09.26 黄思源
/// 重构网络请求库
/// 重构移动端日志上报代码
/// 日志全量上报，去除设备白名单限制
///
/// 3.3.49
/// 2023.10.18 黄思源
/// 对外发布
///
/// 10281
/// 2023.11.16 黄思源
/// 优化弹窗高度自适应
///
/// 3.3.50
/// 2023.11.16 黄思源
/// 对外发布
///
/// 10289
/// 2024.01.23 黄思源
/// 官方渠道品牌及健康系统优化
/// 修改弹窗样式
///
/// 3.3.52
/// 2024.03.05 黄思源
/// 对外发布
///
/// 10316
/// 2024.04.12 黄思源
/// 添加隐私清单
///
/// 3.3.54
/// 2024.04.24 黄思源
/// 对外发布
///
/// 10325
/// 2024.05.10 黄思源
/// 增加可选参数控制隐私信息
///
/// 3.3.56
/// 2024.05.10 黄思源
/// 对外发布
#define FYCVersion @"3.3.56"
#define FYCInnerVersion @"10325"

#import <Foundation/Foundation.h>

@interface FYCore : NSObject

/// 版本号
@property (nonatomic, copy, readonly) NSString *version;
/// 模块名称
@property (nonatomic, copy, readonly) NSString *name;

+ (instancetype)sharedInstance;

/**
 初始化
 */
- (void)doInit;

@end




///  3.3.43, 10172
///     2022.09.29 周永桂
///     增加请求头配置
///     修复 FYCProgressHUD loading展示时 view 为 nil 的 bug
///
///  3.3.42, 10178
///     2022.07.04 周永桂
///     扩展 UIWindow,类优化、统一 keyWindow 的获取
///     优化 SDK 更新日志排版
///     埋点上报时间扩充至毫秒
///     调整初始化配置接口回调
///     新增数据采集埋点封装
///     定期校正服务器时间
///     增加 PayReport
///     技术埋点增加时间戳、上报时序
///     增加 iPhone 14 机型
///     调整 FYCAlertSingleObject 弹窗UI
///
///  3.3.40, 10139
///      2022.04.01 周永桂
///      修改国际化捷克语上报服务端标识为cs
///
///  3.3.39, 10124
///      2022.02.14 周永桂
///      弹窗管理器，管控弹窗队列
///      调整 FYAliyunLogService 配置
///      调整旧版本富文本扩展类，删除无用方法
///      扩充新弹窗 FYCAlertRollObject
///      增加错误立即上报 FYLogTrace，增加开关管控上报
///      增加崩溃上报 FYCCrashService
///      扩展俄语
///      优化国际化语言代码
///      扩展多语言，支持简体中文、繁体中文、英语、德、法、意、西、土、葡、波兰、捷克、俄罗斯
///      修复数组排序方法，将 localizedStandardCompare: 替换为 compare:
///
///  3.3.37, 10115
///      2022.01.17 周永桂
///      更改统一弹窗确认取消按钮左右位置
///
///  3.3.35, 10104
///      2021.12.31 周永桂
///      修复轮询工具 tick 方法，防止同任务多次执行
///      取消调整获取配置接口请求时机为load
///
///  3.3.34, 10085
///      2021.11.17 周永桂
///      优化 topViewController 的获取
///      还原回idfa 获取，适配iOS 14后idfa权限获取
///      调整获取配置接口请求时机为load
///      轮询工具增加request header设置
///
///  3.3.31, 10065
///      2021.11.17 周永桂
///      分离加密
///
///  3.3.30, 10025
///      2021.08.17 周永桂
///      扩展阿里云日志上报
///      扩充统一弹窗描述内容
///      更新iPhone 13 设备名映射
///      关闭黑暗模式
///      获取配置区分国内、海外
///      阿里云日志上报增加环境区分
///
///  3.3.29, 10068
///      2021.11.09 周永桂
///      修复 window 在游戏中获取崩溃bug
///
///  3.3.24, 10018
///      2021.08.18 周永桂
///      增加NSString+FYRange
///      去除全局调用 FYKeyboardManager，哪里需要自行调用（防止游戏崩溃）
///
///  3.3.21, 10013
///      2021.08.05 周永桂
///      增加随机生成设备ID api,不存keychain
///
///  3.3.21, 10011
///      2021.07.23 周永桂
///      重新加会 keychain，用于设备ID 存储
///      调整loading帧
///
///  3.3.16
///      2021.06.1 周永桂
///      国际化返回当前语言区分简体中文，繁体中文
///      调整统一弹窗高度
///
///  3.3.12
///      2021.05.25 周永桂
///      增加 AES 加解密
///
///  3.3.8
///      2021.05.19 周永桂
///      获取配置时，请求参数删除设备信息相关
///
///  3.3.4
///      2021.05.07 周永桂
///      引入 IQKeyboardManager
///      FYDWWebView 增加获取点击事件的触摸点坐标获取
///
///  3.2.2.0504
///      2021.04.27 周永桂
///      由于上架审核原因去除idfa相关, 外部获取统一返回空字符串
///      调整uuid的生成方式不再优先根据idfa来生成，存储时去除存储到keychain
///      获取 macAddress 时，统一返回空字符串
///      移除 idfv 获取
///
///  3.2.2.0502
///      2021.04.23 周永桂
///      由于上架审核原因去除CAID相关
///
///  3.2.2.0430
///      2021.04.13 周永桂
///      调整上报参数 device_type 对应的值改为 deviceName
///      将即将废弃的类统一放置Deprecated文件夹中
///      轮询工具扩充删除api
///
///  3.2.2.0319
///      2021.03.16 周永桂
///      FYCConfigFileManager 增加文件路径配置
///      统一弹出增加 closeLocalizable 关闭多语言配置
///
///  3.2.0.0301
///      2021.02.20 周永桂
///      引入CAID SDK，FYCDeviceInfo增加caid获取函数
///
///  3.2.1.0310
///      2021.03.09 周永桂
///      增加轮询工具类 Polling
///      idfa 获取失败时返回空值
///
///  3.1.9.0201
///      2021.02.03 周永桂
///      修复客服iOS 14上webView输入键盘自定义工具栏安全区域问题
///      移除FYWDWebView内部AlertView弹窗
///      修复客服横屏时，键盘高度计算错误bug
///
///  3.1.5.1224
///      2020.12.29 周永桂
///      更新版本号
///
///  3.1.4.1210
///      2020.12.03 周永桂
///      重置版本号与需求单版本号一致
///      增加上报埋点封装
///
///  3.9.0
///      2020.11.13 周永桂
///      错误提示语由"网络错误，请稍后再试",改为"网络超时，请稍后再试"
///
///  3.8.1
///      2020.11.04 周永桂
///      扩充统一弹出属性
///
///  3.8.0
///      2020.11.04 周永桂
///      修改大版本为3
///
///  2.8.0
///      2020.10.30 周永桂
///      修改 toast 弹窗位置，由原本的偏底部改为居中
///
///  2.7.1
///      2020.10.14 周永桂
///      修复iOS 14上webView输入键盘自定义工具栏在刘海屏手机上获取键盘高度错误bug
///
///  2.7.0
///      2020.10.14 周永桂
///      支持国际化，默认关闭，国际化暂时只支持两种语言中文繁体、英文
///      更新机型设备名 iPhone 12
///      增加第三方库YGRichText，链式设置富文本
///      增加iOS 14上webView输入键盘自定义工具栏
///
///  2.6.0
///      2020.09.22 周永桂
///      更新机型设备名
///      完善网络状态码，针对 400 以上的 http 错误码处理
///      注释掉适配 iOS 14 idfa 权限配置
///
///  2.5.0
///      2020.09.21 周永桂
///      适配iOS 14，配置 idfa 权限
///      webService 增加拖动关闭 keyboard 开关
///      webService 增加关闭 InputAccessoryView 开关
///      优化 FYCProgressHUD 加载图片帧代码，防止资源读取失败崩溃
///
///  2.4.0
///      2020.07.22 周永桂
///      新增 UIFont+FYC 类
///      FYCMacro 新增 weakify、strongify 宏
///      增加新版toast、loadingView
///
///  2.3.0
///      2020.06.09 周永桂
///      引入dsbridge，创建基于dsbridge基类
///      getDataWithKey 增加类型判断
///      FYCConfigFileManager 兼容旧版本setupValuesWith方法
///
///  2.2.0
///      2020.06.01 周永桂
///      删除FYCAlertView
///      增加基础弹窗
///      引入Masonry第三方库 => '1.1.0'
///
///  2.1.1
///      2020.05.29 周永桂
///      修复宏 FYC_EXTERN_CONST_STRING 对C++的常量定义bug
///
///  2.1.0
///      2020.05.19 周永桂
///      统一URL管理，具体请查看FYCUrlService
///
///  2.0.0
///      2020.05.14 周永桂
///      与nebula同步版本，统一2.0.0
///
///  1.6.0
///      2020.04.29 周永桂
///      增加startupId供外部调用
///
///  1.5.0
///      2020.04.28 黄思源
///      FYCUtils 添加 accurateTimeStamp、randomString 方法
///      FYCUtils 修复 arrayWithJSON 增加参数判断
///
///  1.4.0
///      2020.04.22 周永桂
///      修改 FYCConfigFileManager 使用统一config.plist文件禁止外部修改
///
///  1.3.0
///      2020.04.14
///      扩展YYModel（1.0.4）
///      相关类更改为FY，组件名：FYModel
///
///  1.2.0
///      2020.03.12
///      更新UIWebView至WKWebView
///
///  1.1.3
///      2019.10.15
///      新增设备号加密后再保存到存储器
///      新增设备号加密后保存到 keychain
///      新增设备信息缓存到内存中
///      新增最新的 iOS 设备名称
///      新增初始化打印设备号到控制台
///
///  1.1.2
///      2019.09.03
///      新增 FYCoreName
///      新增 version
///      新增 name
///
///  1.1.1
///      2019.09.03
///      重新整理 FYCCheck 检测设备是否越狱代码
///
///  1.1.0
///      2019.05.17
///      发布稳定版
///
///  1.0.1
///      2018.11.19
///      新增 FYCRequestQueue
///
