//
//  FYLogTraceInfo.h
//  FYCoreDemo
//
//  Created by 周永桂 on 2020/12/3.
//  Copyright © 2020 feiyu. All rights reserved.
//

///
/// 10266弃用
/// 使用FYCLogService
///

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface FYLogTraceInfo : NSObject
// 外部传输
/// 项目标识
@property (nonatomic, copy) NSString *project;
/// 项目版本号
@property (nonatomic, copy) NSString *project_version;
/// 埋点标识
@property (nonatomic, copy) NSString *id;
/// 埋点注释
@property (nonatomic, copy) NSString *desc;
/// 日志等级。debug：1； warn：2；error 3；crash 4
@property (nonatomic, copy) NSString *level;
/// App ID
@property (nonatomic, copy) NSString *app_id;
/// 渠道 ID,
@property (nonatomic, copy) NSString *channel_id;

// 非必传
/// 其他信息，多个信息用逗号“,”隔开, 非必传
@property (nonatomic, copy) NSString *extra;
/// 星云 Open ID, 非必传
@property (nonatomic, copy) NSString *open_id;
/// 角色 ID, 非必传
@property (nonatomic, copy) NSString *player_id;

// 基础数据
/// 设备操作系统，0代表iOS，1代表安卓
@property (nonatomic, copy) NSString *os;
/// 系统版本
@property (nonatomic, copy) NSString *os_version;
/// 启动 ID，应用每次启动时唯一
@property (nonatomic, copy) NSString *startup_id;
/// 时间戳
@property (nonatomic, copy) NSString *time;
/// 设备 ID
@property (nonatomic, copy) NSString *device_id;
/// 设备名称
@property (nonatomic, copy) NSString *device_name;
/// 网络情况。无网络：0，wifi：1，其他：2
@property (nonatomic, copy) NSString *network;
/// 上报序列，从启动后开始，每次上报自增
@property (nonatomic, copy) NSString *seq;
/// 时间戳，精确到毫秒
@property (nonatomic, copy) NSString *timestamp;

- (NSDictionary *)modelToJSONObject;

@end

NS_ASSUME_NONNULL_END
