//
//  NSArray+FYMASShorthandAdditions.h
//  Masonry
//
//  Created by Jonas Budelmann on 22/07/13.
//  Copyright (c) 2013 Jonas Budelmann. All rights reserved.
//

#import "NSArray+FYMASAdditions.h"

#ifdef FYMAS_SHORTHAND

/**
 *	Shorthand array additions without the 'mas_' prefixes,
 *  only enabled if FYMAS_SHORTHAND is defined
 */
@interface NSArray (FYMASShorthandAdditions)

- (NSArray *)makeConstraints:(void(^)(FYMASConstraintMaker *make))block;
- (NSArray *)updateConstraints:(void(^)(FYMASConstraintMaker *make))block;
- (NSArray *)remakeConstraints:(void(^)(FYMASConstraintMaker *make))block;

@end

@implementation NSArray (FYMASShorthandAdditions)

- (NSArray *)makeConstraints:(void(^)(FYMASConstraintMaker *))block {
    return [self mas_makeConstraints:block];
}

- (NSArray *)updateConstraints:(void(^)(FYMASConstraintMaker *))block {
    return [self mas_updateConstraints:block];
}

- (NSArray *)remakeConstraints:(void(^)(FYMASConstraintMaker *))block {
    return [self mas_remakeConstraints:block];
}

@end

#endif
