//
//  NSString+FY.h
//  ThePainter
//
//  Created by huangsy on 15/11/5.
//  Copyright (c) 2015年 stars. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (FYC)


/**
 如果为 nil，返回空字符串，否则返回原值

 @return string
 */
- (NSString*)clearNil;


/**
 去除string中的空格

 @return string
 */
- (NSString*)removeWhiteSpace;


/**
 判断有没有空格

 @return bool
 */
- (BOOL)hasWhiteSpace;


/**
 限制字符串长度，超过长度后面会变成 ...

 @param length 长度
 @return 修改过的字符串
 */
- (NSString*)limitStringWithLength:(int)length;

/// 国际化
- (NSString *)fyc_language;

/// 字符串加密
- (NSString *)fyc_encryptString:(NSString *)keyString;

/// 字符串解密
- (NSString *)fyc_decryptString:(NSString *)keyString;

/// 匹配某个关键词，获取所有的NSRange，放到数组中返回
/// 已将获取到的NSRange结构体包装为NSValue对象
/// 可以通过以下方式获取 NSRange结构体:
/// NSRange range = [(NSValue*)ranges[0] rangeValue];
- (NSArray *)fyc_getRangesWithKeyworld:(NSString *)keyworld;

@end
