//
//  NSString+YGRange.h
//  YGRichTextDemo
//
//  Created by DaverZhou on 2021/5/18.
//  Copyright © 2021 DaverZhou. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface NSString (FYRange)

/// 根据关键字符串计算字符串中的 所有rangs 数组，
/// Get Rangs by key world in string. return ["loc,len", "loc,len"] array.
- (NSArray *)fy_getRangesInStringWithKeyworld:(NSString *)keyworld;

/// 将数据内容为 "loc,len" 的字符串转为 range
/// Convert a string of data content "loc,len" to range
- (NSRange)fy_getRangeFromString;


/// 根据固定长度计算可显示字符串中多少个字
/// Calculates how many words in a string can be displayed based on a fixed length
- (int)fy_getCharacterNumWithMaxWidth:(CGFloat)maxWidth font:(UIFont *)font;




@end

NS_ASSUME_NONNULL_END
