//
//  UIImage+FY.h
//  ThePainter
//
//  Created by huangsy on 15/11/4.
//  Copyright (c) 2015年 stars. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface UIImage (FYC)

/**
 根据颜色生成图片

 @param color 颜色
 @return color
 */
+ (UIImage*)imageWithColor:(UIColor *)color;

/**
 改变图片主颜色

 @param color 颜色
 @param image 原图
 @return 修改后的图片
 */
+ (UIImage*)imageChangeTintColor:(UIColor*)color originImage:(UIImage*)image;


/**
 从中间剪切图片

 @param rect 目标大小
 @return 剪切后的图片
 */
- (UIImage*)imageClipRect:(CGRect)rect;

/**
 根据大小缩放图片

 @param size 目标大小
 @return 缩放后的图片
 */
- (UIImage*)imageZoomToSize:(CGSize)size;

/**
 根据比例缩放图片

 @param scale 目标比例
 @return 缩放后的图片
 */
- (UIImage*)imageZoomWithScale:(CGFloat)scale;

/**
 将最长边缩放到某个长度，比例不变

 @param length 最长边目标长度
 @return 缩放后的图片
 */
- (UIImage*)imageZoomMaxSideToLength:(CGFloat)length;

/**
 将图片的宽度缩放到某个长度，比例不变

 @param length 图片的目标宽度
 @return 缩放后的图片
 */
- (UIImage*)imageZoomWidthToLength:(CGFloat)length;


/// 根据颜色修改图片颜色
/// 原图片最好是灰色的否则渲染出来颜色有色差
/// 如果是iOS13以上就使用系统的改色api来修改颜色
/// iOS13以下用blendMode的方式来修改颜色
- (UIImage*)imageChangeColor:(UIColor*)color;

@end
