//
//  FYDCacheService.h
//  FYDebugerDemo
//
//  Created by 周永桂 on 2021/9/10.
//  Copyright © 2021 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
@class FYDRegistVersionInfo;

@interface FYDHealthCacheModel : NSObject
/// 健康时长，默认5400秒
@property (nonatomic, assign) int duration;
/// 自定义防沉迷开关
@property (nonatomic, assign) BOOL isOpen;

@end

@interface FYDCacheService : NSObject
/// 自定义防沉迷开关
@property (nonatomic, assign) BOOL isOpenHealth;
/// 健康时长，默认90分钟
@property (nonatomic, assign) int healthDuration;

/// 需要上报版本号
@property (nonatomic, assign) BOOL isNeedReport;

/// 本次启动是否已经上报自检报告，默认NO
@property (nonatomic, assign, readonly) BOOL isAlreadyReportCheckSelf;


+ (instancetype)sharedInstance;

/// 更新防沉迷配置
- (void)updateHealthModel:(FYDHealthCacheModel *)model
               completion:(void(^)(BOOL result))completion;

/// 更新防沉迷时长
- (void)updateHealthDuration:(int)duration;

/// 更新防沉迷开关状态
- (void)updateHealthSwitchStatus:(BOOL)status;

/// 更新版本信息缓存
- (void)updateModulesCache:(NSDictionary *)modules;

/// 注册游戏版本号
- (void)registerGameVersion:(NSString *)version;

/// 加载游戏版本
- (NSString *)loadGameVersion;

/// 已经上报自检报告
- (void)updateReportCheckSelfToYES;

@end

