//
//  FYDebuger.h
//  FYDebugerDemo
//
//  Created by 吴垠锋 on 2018/11/20.
//  Copyright © 2018 feiyu. All rights reserved.

///
/// 10254
/// 2023.07.12 黄思源
/// 删除版本号日志上报
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10281
/// 2023.11.01 黄思源
/// 修改导航栏样式设置，修复导航栏标题可能无法显示问题
///
/// 3.3.50
/// 2023.11.16 黄思源
/// 对外发布
///
/// 10316
/// 2024.04.12 黄思源
/// 添加隐私清单
///
/// 3.3.54
/// 2024.04.24 黄思源
/// 对外发布
#define FYDebugerVersion @"3.3.54"
#define FYDInnerVersion @"10316"

#import <Foundation/Foundation.h>
#import <FYDebuger/FYDMacro.h>
#import <FYDebuger/FYDebugerInfo.h>
#import <FYDebuger/FYDebuggerLogInfo.h>
#import <FYDebuger/FYDRegistModuleInfo.h>
#import <FYDebuger/FYDRegistVersionInfo.h>
#import <FYDebuger/FYDRegistGameVersionInfo.h>

@interface FYDebuger : NSObject
/// 版本号
@property (nonatomic, copy, readonly) NSString *version;
/// 模块名称
@property (nonatomic, copy, readonly) NSString *name;
/**
 单例

 @return 返回对象
 */
+ (instancetype)sharedInstance;

/// 注册游戏版本
- (void)registGameVersion:(FYDRegistGameVersionInfo *)info;

/// 注册模块版本
- (void)registVersion:(FYDRegistVersionInfo *)info;

/// 注册模块
- (void)registModule:(FYDRegistModuleInfo *)info;

/// 发送日志
- (void)send:(FYDebugerInfo *)info;

/// 打印日志
- (void)log:(FYDebuggerLogInfo *)info;

- (void)logoutDebug;


@end


///
///  3.3.39, 10124
///  周永桂
///  2022.02.14
///  调整弹窗，使得弹窗进入弹窗管理
///  增加指令呼出设备信息弹窗
///  增加设备信息查看页
///  注册模块时不设置默认语言
///
///  3.3.30, 10028
///  周永桂
///  2021.02.25
///  调整调试工具UI，增加调试控制台
///  适配 iOS 15 UI 以及 指令监听
///  修复 UI 在不同屏幕上的适配
///
/// 3.2.0.0301 周永桂
///  2021.02.25
///  重构整个SDK
///
/// 3.1.0 周永桂
///  2020.11.04
///  修改大版本号为3
///
/// 2.1.0 周永桂
///  2020.05.19
///  统一URL管理
///
/// 2.0.0 周永桂
///  2020.04.27
///  针对星云3.0升级调整
///
/// 1.3.1 周永桂
///  2020.03.23
///  增加按钮背景颜色
///
/// 1.3.0 周永桂
///  2020.03.13
///  增加显示 或 隐藏 log 按钮
///
/// 1.2.2
///  2019.10.29
///  增加devURLDict,dev状态下使用devURLDict的URL
///
/// 1.2.1
///  2019.10.18
///  解决unity获取到不同视图控制器,不能正常显示的问题
///  增加FYDLogButton
///
/// 1.2.0
///  2019.09.11
///  新增注册模块版本号方法
///  新增获取 SDK 版本号方法
///  新增上报 SDK 版本号方法
///  新增打印 模块 版本号方法
///  新增打印 SDK 版本号方法
///  新增 version
///  新增 name
///
/// 1.1.0
///  2019.05.17
///  发布稳定版
/// 1.0.1
///  2019.01.31
///  修改服务端地址和参数
///
/// 1.0.0
///  2019.01.15
///  初版
///
