//
//  FYCombine.h
//  FYCombineDemo
//
//  Created by 吴垠锋 on 2018/11/29.
//  Copyright © 2018 feiyu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <FYCombine/FYCombineUserCenterInfo.h>
#import <FYCombine/FYCombineInitInfo.h>
#import <FYCombine/FYCombinePayInfo.h>
#import <FYCombine/FYCombineResponse.h>
#import <FYCombine/FYCombineDelegate.h>
#import <FYCombine/FYCombineConst.h>
#import <FYCombine/FYCombineUser.h>

///
/// 10234
/// 2023.06.06 黄思源
/// 新增扩展方法"doExtend"
/// 新增游戏埋点上报 "doDataPointReport"
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10258
/// 2023.08.18 黄思源
/// 修改海外sit环境的host
///
/// 10266
/// 2023.09.27 黄思源
/// 重构移动端日志上报
///
/// 3.3.49
/// 2023.10.18 黄思源
/// 对外发布
///
/// 10278
/// 2023.11.16 黄思源
/// 新增渠道强更能力
///
/// 3.3.50
/// 2023.11.16 黄思源
/// 对外发布
///
/// 10289
/// 2024.03.15 黄思源
/// 母包通行证官方品牌UI升级
///
/// 3.3.52
/// 2024.03.15 黄思源
/// 对外发布
#define FYCombineName @"FYCombine"
#define FYCombineVersion @"3.3.52"
#define FYCombineInnerVersion @"10289"


@interface FYCombine : NSObject

@property (nonatomic, strong) UIViewController *rootViewController;
/// 版本号
@property (nonatomic, copy, readonly) NSString *version;
/// 模块名称
@property (nonatomic, copy, readonly) NSString *name;

/// 获取单例
+ (instancetype)sharedInstance;

#pragma mark - 第三方接口封装
/// sdk用户初始化
- (void)doInit:(FYCombineInitInfo *)initInfo;
/// sdk登陆
- (void)doLogin;
/// sdk登出
- (void)doLogout;
/// sdk切换用户
- (void)doSwitchAccount;
/// sdk支付
- (void)doPay:(FYCombinePayInfo *)payInfo;
/// 调用暂停页面
- (void)doPause;
/// 设置工具栏
- (void)doSetting:(BOOL)visible;
/// 打开用户中心，带玩家参数
- (void)doUserCenter:(FYCombineUserCenterInfo *)info;
/// 第三方收集信息
- (void)doCollectInfo:(NSDictionary *)infoDict;
/// 获取本地化商品信息
- (void)queryLocalProducts:(NSArray *)products;
/// 调用第三方扩展方法
- (void)doExtend:(NSString*)method params:(NSDictionary*)params;
/// 游戏埋点上报
- (void)doDataPointReport:(NSString*)method params:(NSDictionary*)params;

#pragma mark - 获取参数
- (NSString*)getAppId;
- (NSString*)getDeviceId;
- (NSString*)getChannelId;
- (NSString*)getIDFA;
- (NSString*)getPassportCode;
- (NSString*)getPaymentCode;

#pragma mark - 生命周期方法
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions;
- (void)applicationDidEnterBackground:(UIApplication *)application;
- (void)applicationWillEnterForeground:(UIApplication *)application;
- (void)applicationDidBecomeActive:(UIApplication *)application;
- (BOOL)application:(UIApplication *)app openURL:(NSURL *)url options:(NSDictionary<UIApplicationOpenURLOptionsKey,id> *)options;
- (void)application:(UIApplication *)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)deviceToken;
- (BOOL)application:(UIApplication *)application continueUserActivity:(NSUserActivity *)userActivity restorationHandler:(void(^)(NSArray<id<UIUserActivityRestoring>> * __nullable restorableObjects))restorationHandler;

#pragma mark - 游戏转接口
- (NSString *)bridgeCallFunc:(NSString *)funcName infoJson:(NSString *)infoJson;

#pragma mark 过期Api
- (BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url DEPRECATED_MSG_ATTRIBUTE("iOS 9.0 之后弃用，可不接");
- (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation DEPRECATED_MSG_ATTRIBUTE("iOS 9.0 之后弃用，可不接");

@end

///
///  3.3.42, 10178
///     2022.09.28 周永桂
///     增加 支付日志上报
///     doPay 接口新增参数 notifyURL
///
///  3.3.39, 10124
///      2022.02.17 周永桂
///      SDK回调信息完善，优化代码
///      优化数据请求，统一使用FYCore封装
///      移除所有2.0.0版本后弃用的字段
///      优化上报日志 level 等级
///      优化debuger 注册模块版本号
///
///  3.3.30, 10028
///      2021.09.17 周永桂
///      开发者中心&运营系统合并改版,更新Debuger 调用
///  3.3.21, 10011
///      2021.07.16 周永桂
///      增加绑定回调
///      日志调整为倒叙
///      调整initcallback 失败日志上报
///  3.3.12
///      2021.05.31 周永桂
///      公共基础参数增加api_version
///      用户详情接口解密
///  3.3.8
///      2021.05.18 周永桂
///      移除内部 didFinishLaunchingWithOptions 日志上报
///      getIDFA 方法标注为废弃
///      删除 cacheProducts: 相关
///  3.3.4
///      2021.05.08 周永桂
///      通行证版本有改动，与通行证版本统一
///      移除doswitchaccount 将isLogin设置为NO的代码
///      FYCombinePayInfo/FYCombineUserCenterInfo 兼容废弃字段增加判空处理
///  3.2.2.0430
///      2021.04.08 周永桂
///      新增调试模式开启状态参数值 is_debug
///      调整上报参数 device_type 对应的值改为 deviceName
///  3.2.2.0409
///      2021.03.29 周永桂
///      新增接口，用来获取商品详情和商品价格
///  3.2.0.0301
///      2021.02.26 周永桂
///      更新 debuger 调用
///  3.1.9.0201
///      2021.01.25 周永桂
///      修复 debuger 上报遗漏参数bug
///      修复桥接类bug
///  3.1.5.1224
///      2020.11.02 周永桂
///      重置版本号，与产品需求单版本号一一对应
///      增加技术埋点
///  3.6.1
///      2020.11.02 周永桂
///      修改大版本号为3
///  2.6.1
///      2020.09.18 周永桂
///      修改未实名提示语，增加取消实名提示语
///  2.6.0
///      2020.08.31 周永桂
///      聚合实名认证取消状态 FYCombineResponseRealNameCancel
///  2.5.0
///      2020.08.13 周永桂
///      pro环境增加海外标识：game_issued，区分国内国外
///  2.4.0
///      2020.07.07 黄思源
///      增加生命周期 continueUserActivity
///  2.3.0
///      2020.06.24 周永桂
///      对外提供uuid
///  2.3.0
///      2020.06.12 周永桂
///      对外提供getPassportCode、getPaymentCode
///  2.1.3
///      2020.06.11 黄思源
///      调整回调模板
///      删除无用的回调参数
///  2.1.2
///      2020.06.05 周永桂
///      修复checkLogin 生日字段名identity_birthday
///  2.1.1
///      2020.05.25 周永桂
///      修复字段判空处理
///  2.1.0
///      2020.05.19 周永桂
///      统一URL管理
///  2.0.0
///      2020.04.23 周永桂
///      针对星云3.0升级改版
///      调整url管理，使用统一Core开关管理
///  1.2.4
///      2020.01.02 吴垠锋
///      登录回调新增实名参数
///  1.2.3
///      2019.12.26 吴垠锋
///      登录后增加回调给container
///  1.2.2
///      2019.12.26 黄思源
///      删除登录回调的实名认证信息，之后实名认证信息从实名认证回调输出
///  1.2.1
///      2019.12.24 吴垠锋
///      新增实名认证回调参数
///  1.2.0
///      2019.12.20
///      新增实名认证回调
///  1.1.6
///      2019.12.12
///      登录回调新增参数：渠道ID，实名认证信息
///  1.1.5
///      2019.11.14
///      增加提前获取商品信息列表接口
///  1.1.4
///      2019.10.29
///      增加devURLDict,dev状态下使用devURLDict的URL
///  1.1.3
///      2019.10.10
///      修改debuger提示为中文
///  1.1.2
///      2019.09.11
///      上报和打印 SDK 版本号
///      新增 version
///      新增 name
///  1.1.1
///      2019.06.06
///      getPaySpecialParams 方法新增支付参数
///  1.1.0
///      2019.05.17
///      发布稳定版
///  1.0.6
///      2019.05.15
///      新增 logout 接口
///  1.0.5
///      2019.04.10
///      新增生命周期方法 openURL:options
///  1.0.4
///      2019.03.15
///      创建订单增加 data_version 字段，表明支付数据统计上报到新版
///  1.0.3
///      2019.02.26
///      bridge 添加参数判断
///      新增获取参数方法
///  1.0.2
///      2019.02.01
///      bridge 方法打印日志
///  1.0.1
///      2019.01.31
///      删除 bridge 的 init 接口
///      修改 bridge 的获取参数的方法名
///  1.0.0
///      重构
