//
//  FYCombineDelegate.h
//  FYCombineDemo
//
//  Created by 吴垠锋 on 2018/11/30.
//  Copyright © 2018 feiyu. All rights reserved.
//

#import "FYCombineInitInfo.h"
#import "FYCombineUser.h"
#import "FYCombinePayInfo.h"
#import "FYCombineUserCenterInfo.h"
#import "FYCombineResponse.h"

#ifndef Header_h
#define Header_h

@protocol FYCombineContainerDelegate <NSObject>

/// 初始化结束
- (void)initFinish:(FYCombineResponse *)resp;
/// 登录结束
- (void)loginFinish:(FYCombineResponse *)resp;
/// 退出结束
- (void)logoutFinish:(FYCombineResponse *)resp;
/// 支付结束
- (void)payFinish:(FYCombineResponse *)resp;
/// 暂停结束
- (void)pauseFinish:(FYCombineResponse *)resp;
/// 实名结束
- (void)realNameFinish:(FYCombineResponse *)resp;
/// 本地商品查询
- (void)queryLocalProductsFinish:(FYCombineResponse *)resp;
/// 绑定结束
- (void)bindFinish:(FYCombineResponse *)resp;

@end

@protocol FYCombineDelegate <NSObject>

- (void)setDegelate:(id<FYCombineContainerDelegate>)delegate;
- (void)setRootViewController:(UIViewController *)rootViewController;
- (NSString* )getLoginSpecialParams;
- (NSString* )getPaySpecialParams:(FYCombinePayInfo *)payInfo;

// 第三方接口
- (void)doInit:(FYCombineInitInfo *)initInfo;
- (void)doLogin;
- (void)doLogout;
- (void)doSwitchAccount;
- (void)doPay:(FYCombinePayInfo *)payInfo orderInfo:(FYCombineResponse *)orderInfo;
- (void)doPause;
- (void)doSetting:(BOOL)visible;
- (void)doCollectInfo:(NSDictionary *)info;
- (void)doUserCenter:(FYCombineUserCenterInfo *)info;
/// 登录后通知container
- (void)checkLoginCallback:(FYCombineResponse *)response;
/// 获取本地化商品信息
- (void)queryLocalProducts:(NSArray *)productIds;

// 生命周期
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions;
- (void)applicationDidEnterBackground:(UIApplication *)application;
- (void)applicationWillEnterForeground:(UIApplication *)application;
- (void)applicationDidBecomeActive:(UIApplication *)application;
- (BOOL)application:(UIApplication *)app openURL:(NSURL *)url options:(NSDictionary<UIApplicationOpenURLOptionsKey,id> *)options;
- (void)application:(UIApplication *)application didRegisterForRemoteNotificationsWithDeviceToken:(NSData *)deviceToken;
- (BOOL)application:(UIApplication *)application continueUserActivity:(NSUserActivity *)userActivity restorationHandler:(void(^)(NSArray<id<UIUserActivityRestoring>> * __nullable restorableObjects))restorationHandler;

- (BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url DEPRECATED_MSG_ATTRIBUTE("iOS 9.0 之后弃用，可不接");
- (BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation DEPRECATED_MSG_ATTRIBUTE("iOS 9.0 之后弃用，可不接");

@end

#endif /* Header_h */
