//
//  FYSandboxPlatform.h
//  FYSandboxPlatformDemo
//
//  Created by 周永桂 on 2020/4/26.
//  Copyright © 2020 feiyu. All rights reserved.
//

/// 10236
/// 2023.04.13 黄思源
/// 调整注册页密码框输入为明文
/// 修改实名认证页面样式
/// 调整健康提示弹窗样式
/// 调整用户中心文案调整、样式
/// 调整输入键盘样式和交互统一
/// 调整弹窗样式统一
/// 调整支付窗口为统一样式
/// 页面提交按钮需进行必填项是否为空的监听
/// 增加初始化失败弹窗
/// loading动画调整
///
/// 10254
/// 2023.07.13 黄思源
/// 账号绑定调试功能增加TapTap绑定调试
/// 增加实名认证开关
///
/// 3.3.46
/// 2023.07.25 黄思源
/// 对外发布
///
/// 10266
/// 2023.10.13 黄思源
/// 日志上报重构
///
/// 10272
/// 2023.10.13 黄思源
/// 用户登录登出行为上报
/// 移除原有心跳上报
///
/// 3.3.49
/// 2023.10.18 黄思源
/// 对外发布
///
/// 10289
/// 2024.01.23 黄思源
/// 官方渠道品牌及健康系统优化
///
/// 3.3.52
/// 2024.03.05 黄思源
/// 对外发布
///
/// 10316
/// 2024.04.12 黄思源
/// 添加隐私清单
#define FYSPVersion @"3.3.52"
#define FYSPInnerVersion @"10316"

#import <Foundation/Foundation.h>
#import "FYSPCallbackInfo.h"
#import "FYSPLoginCallbackInfo.h"
#import "FYSPRealnameCallbackInfo.h"
#import "FYSPlatformDelegate.h"
#import "FYSPInitInfo.h"
#import "FYSPPayInfo.h"


@interface FYSandboxPlatform : NSObject
@property (nonatomic, weak) id<FYSPlatformDelegate> delegate;

/// 单例
+ (instancetype)sharedInstance;

/// 初始化方法
- (void)doInit:(FYSPInitInfo *)info delegate:(id<FYSPlatformDelegate>)delegate;

/// 登录
- (void)login;

/// 退出登录
- (void)logout;

/// 切换账号
- (void)switchAccount;

/// 支付
- (void)payWithInfo:(FYSPPayInfo *)payInfo;

/// 展示用户中心
- (void)showUserCenter;

/// 实名认证
- (void)realname;

/// 是否实名
- (BOOL)isRealname;

@end



///
///  3.3.42, 10178
///  2022.09.23 周永桂
///  修改健康提示文案
///  修改实名认证页面提示文案
///
///  3.3.39, 10124
///  2022.02.16 周永桂
///  适配弹窗管理器，加入弹窗队列
///  优化日志上报level、extra 参数
///  母包区分国内、国外
///  增加绑定调试工具
///
///  3.3.27, 10048
///  2021.09.28 周永桂
///  调整健康提示弹窗提示语
///  调整实名页面失败提示语
///
///  3.3.25, 10029
///  2021.09.01 周永桂
///  修改本地文案
///  优化注册密码输入框
///
///  3.3.8
///  2021.05.18 周永桂
///  在线上报日志由原本的1分钟一次改为5分钟一次
///
///  3.3.4
///  2021.04.06 周永桂
///  实名验证接入网络游戏防沉迷实名认证系统
///  用户中心实名状态修改成：未实名、实名、 认证中
///  48小时内登录游戏时长超过实名48小时后，进入用户中心实名认证失败显示与认证中一致，除非再次登录
///  关闭统一弹窗母包上国际化问题
///  优化计时器逻辑，将原逻辑每次倒计时都去获取一次缓存时间并重新赋值给playtime优化为每次启动计时器时获取一次playtime,并对缓存时间做判空处理。
///
///  3.2.0.0301
///  2021.02.19 周永桂
///  增加字段区分国内、海外，个人中心海外无需显示实名相关
///
///  3.1.9.0201
///  2021.01.27 周永桂
///  优化初始化结果埋点上报
///
///  3.1.5.1224
///  2020.12.08 周永桂
///  修改版本号与产品需求版本号一致
///  增加技术埋点
///
///  3.1.5.1218
///  2020.12.08 周永桂
///  母包需求调整
///
///  3.1.0
///  2020.12.02 周永桂
///  修改文案
///  增加可玩时间段的限制
///
///  3.0.1
///  2020.12.01 周永桂
///  修改文案
///
///  3.0.0
///  2020.11.12 周永桂
///  大改版，增加实名认证
///
///  1.2.0
///  2020.09.09 周永桂
///  支付接口增加token字段
///
///  1.1.0
///  2020.05.19 周永桂
///  统一URL管理
///
